> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/it/ribbon-menu-bar/reports/export-reports.md).

# Esporta report

La funzionalità ***Esporta report*** è un modo per eseguire ed esportare i report tramite una riga di comando. Può utilizzare questa funzionalità in un collegamento o in un file batch e usare l'Utilità di pianificazione di Windows per eseguirla.

Potrà esportare il report Dati, il report Inventario e la maggior parte dei report presenti nel nostro elenco Genera report, ad eccezione di Utilizzo delle password.

{% hint style="info" %}
Per utilizzare questa funzionalità deve disporre dei diritti per eseguire report in Remote Desktop Manager.
{% endhint %}

### Impostazioni

Per i report che contengono impostazioni, dovrà iniziare esportando le impostazioni del report per creare il file `.rdr` che la riga di comando utilizza per generare i report. Ecco un elenco dei report che contengono impostazioni:

1. Vada alla barra multifunzione di Remote Desktop Manager e selezioni ***Report – Altri report – Informazioni voce***. Faccia clic su ***Esporta impostazioni*** nel pulsante di testo ***Altro***. Verrà creato un file \*.rdr contenente tutte le impostazioni del report. È anche qui che si trova l'ID del report (sarà utile in seguito).
2. Nel Prompt dei comandi di Windows inserisca la seguente riga di comando:

```powershell
C:\*** /DataSource:*** /report:***/reportoutput:"***" /reportsettings:"***.rdr"
```

<table><thead><tr><th width="150">PARAMETRI</th><th>DESCRIZIONE</th></tr></thead><tbody><tr><td><strong>C:\</strong></td><td>Inserisca il percorso utilizzato per avviare l'applicazione Remote Desktop Manager (percorso del file RemoteDesktopManager.exe)</td></tr><tr><td><strong>/DataSource</strong></td><td>Specifichi l'ID dello spazio di lavoro.</td></tr><tr><td><strong>/report</strong></td><td>Specifichi il tipo di report da generare o l'ID del report.</td></tr><tr><td><strong>/reportoutput</strong></td><td>Specifichi il percorso in cui salvare il report e il nome del report appena generato.</td></tr><tr><td><strong>/reportsettings</strong></td><td>Specifichi il percorso del file delle impostazioni del report (.rdr).</td></tr></tbody></table>

Per trovare l'ID dello spazio di lavoro e la riga di comando utilizzata per avviare Remote Desktop Manager, modifichi una delle sessioni del suo spazio di lavoro e selezioni ***Informazioni voce***.

Ecco un elenco dei tipi di ***Report*** che può trovare in Remote Desktop Manager e il nome da inserire nella riga di comando per generare il report:

<table><thead><tr><th width="250">TIPO DI REPORT</th><th>NOME DEL REPORT (TIPO) DA INSERIRE NELLA RIGA DI COMANDO</th></tr></thead><tbody><tr><td><strong>Report dei log di attività</strong></td><td>SharedConnectionLog</td></tr><tr><td><strong>Voce duplicata</strong></td><td>DuplicateEntry</td></tr><tr><td><strong>Informazioni voce</strong></td><td>ConnectionInformation</td></tr><tr><td><strong>Stato della voce</strong></td><td>ConnectionStatus</td></tr><tr><td><strong>Elenco delle voci scadute</strong></td><td>ConnectionExpiredEntry</td></tr><tr><td><strong>Passaporti scaduti</strong></td><td>ConnectionExpiredPassport</td></tr><tr><td><strong>Software scaduti</strong></td><td>ConnectionExpiredSoftware</td></tr><tr><td><strong>Garanzie scadute</strong></td><td>ConnectionExpiredWarranty</td></tr><tr><td><strong>Complessità della password</strong></td><td>PasswordComplexity</td></tr><tr><td><strong>Gruppi VPN</strong></td><td>VPNGroup</td></tr></tbody></table>

Ecco un esempio di riga di comando per un report Informazioni voce:

```powershell
C:\Program Files (x86)\Devolutions\Remote Desktop Manager\RemoteDesktopManager<area>.exe /DataSource:8a4f2f70-5e8a-4d6c-9c7b-119080a4c879 /report:EntryInformation /reportoutput:C:\dev\devolutions\Rapport\rapportEntry.csv /reportsettings:C:\dev\devolutions\Rapport\SettingsEntryInformation.rdr
```

#### Vedere anche

* [Devolutions Academy – Export your reports from Remote Desktop Manager](https://academy.devolutions.net/student/page/2750537-export-your-reports-from-remote-desktop-manager?curriculum_activity_id=4164539\&path_id=2628397\&sid=10ff0331-164b-4cfe-9f96-888b928524e5\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/rdm/it/ribbon-menu-bar/reports/export-reports.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
